{
  "creature_spawn_probability": 0.03,
  "carvers": [],
  "downfall": 0.9,
  "effects": {
    "dry_foliage_color": 8082228,
    "fog_color": 12638463,
    "foliage_color": 9285927,
    "grass_color_modifier": "swamp",
    "additions_sound": {
      "sound": "minecraft:block.firefly_bush.idle",
      "tick_chance": 0.01
    },
    "music": [
      {
        "data": {
          "max_delay": 24000,
          "min_delay": 12000,
          "replace_current_music": false,
          "sound": "minecraft:music.overworld.swamp"
        },
        "weight": 1
      }
    ],
    "music_volume": 1,
    "sky_color": 7907327,
    "water_color": 3832426,
    "water_fog_color": 5077600,
    "particle": {
      "options": {
        "type": "minecraft:firefly"
      },
      "probability": 0.005
    }
  },
  "features": [
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [
      "minecraft:flower_swamp"
    ],
    []
  ],
  "has_precipitation": true,
  "spawn_costs": {},
  "spawners": {
    "ambient": [
      {
        "type": "minecraft:bat",
        "maxCount": 4,
        "minCount": 3,
        "weight": 5
      }
    ],
    "axolotls": [],
    "creature": [
      {
        "type": "minecraft:frog",
        "maxCount": 3,
        "minCount": 2,
        "weight": 20
      }
    ],
    "misc": [],
    "monster": [
      {
        "type": "minecraft:spider",
        "maxCount": 4,
        "minCount": 3,
        "weight": 100
      },
      {
        "type": "minecraft:zombie",
        "maxCount": 4,
        "minCount": 3,
        "weight": 100
      },
      {
        "type": "minecraft:zombie_villager",
        "maxCount": 1,
        "minCount": 1,
        "weight": 5
      },
      {
        "type": "minecraft:creeper",
        "maxCount": 4,
        "minCount": 3,
        "weight": 100
      },
      {
        "type": "minecraft:slime",
        "maxCount": 4,
        "minCount": 3,
        "weight": 100
      },
      {
        "type": "minecraft:enderman",
        "maxCount": 3,
        "minCount": 2,
        "weight": 15
      },
      {
        "type": "minecraft:witch",
        "maxCount": 1,
        "minCount": 1,
        "weight": 5
      },
      {
        "type": "minecraft:slime",
        "maxCount": 2,
        "minCount": 1,
        "weight": 20
      },
      {
        "type": "minecraft:bogged",
        "maxCount": 4,
        "minCount": 3,
        "weight": 100
      }
    ],
    "underground_water_creature": [
      {
        "type": "minecraft:glow_squid",
        "maxCount": 3,
        "minCount": 2,
        "weight": 10
      }
    ],
    "water_ambient": [
      {
        "type": "minecraft:tropical_fish",
        "maxCount": 7,
        "minCount": 5,
        "weight": 40
      }
    ],
    "water_creature": []
  },
  "temperature": 0.8
}